<?php
//
//   Copyright (C) 2001-2002 by Ernesto Rico-Schmidt <nene@sbox.tugraz.at>
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms of the GNU General Public License as published by the Free
//   Software Foundation; either version 2 of the License, or (at your option)
//   any later version.
//
//   This program is distributed in the hope that it will be useful, but
//   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//   for more details.
//
//   You should have received a copy of the GNU General Public License along
//   with this program; if not, write to the Free Software Foundation, Inc., 59
//   Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
// $Id: tablefun.inc,v 1.1 2002/08/26 07:54:29 ernesto Exp $

function table_toc($ll) {
  $t = '<table border="0" cellpadding="1" cellspacing="1" width="100%">' . "\n";
  $t .= '  <tr>' . "\n";
  $t .= '    <td class="bg">' . "\n";
  $t .= '      <table align="center" border="0" cellpadding="1" cellspacing="1" width="100%">' . "\n";

  foreach ($ll as $k => $v) { 
    $t .= '        <tr>' . "\n";
    $t .= '          <td class="fg">';
    $t .= '&middot;&nbsp;<a class="weiter" href="#' . $k . '">' . $v . '</a>';
    $t .= '</td>' . "\n";
    $t .= '        </tr>' . "\n";
  }

  $t .= '      </table>' . "\n";
  $t .= '    </td>' . "\n";
  $t .= '  </tr>' . "\n";
  $t .= '</table>' . "\n";

  return $t;
}

function table_programm($ww) {
  $w = strftime('%V');

  $t = '<table align="center" border="0" cellpadding="1" cellspacing="1" width="100%">' . "\n";
  $t .= '  <tr>' . "\n";
  $t .= '    <td align="left" width="100%"><div class="kultbild">Programm</div></td>' . "\n";
  $t .= '  </tr>' . "\n";

  foreach (array_reverse($ww['2002'], TRUE) as $k => $v) {
    if ($k <= $w) {
      $t .= '  <tr>' . "\n";
      $t .= '    <td class="fg" align="right">' . "\n";
      $t .= '      <a class="weiter" href="../programm/kultbild.php?woche=2002-' . $k . '">' . $v . ' 2002</a>' . "\n";
      $t .= '    </td>' . "\n";
      $t .= '  </tr>' . "\n";      
    }
  }

  foreach (array_reverse($ww['2001'], TRUE) as $k => $v) {
    $t .= '  <tr>' . "\n";
    $t .= '    <td class="fg" align="right">' . "\n";
    $t .= '      <a class="weiter" href="../programm/kultbild.php?woche=2001-' . $k . '">' . $v . ' 2001</a>' . "\n";
    $t .= '    </td>' . "\n";
    $t .= '  </tr>' . "\n";      
  }

  $t .= '</table>' . "\n";

  return $t;
}

function table_sendung($r) {
  $tt = array('Montag',
	      'Dienstag',
	      'Mittwoch', 
	      'Donnerstag',
	      'Freitag',
	      'Samstag',
	      'Sonntag');
  
  $rr = array('nur Heute',
	      'jeden 1.', 'jeden 2.', 'jeden 3.', 'jeden 4.', 'jeden 5.', 
	      7 => 'wchentlich', 14 => '14-tgig',
              50 => 'Montag - Freitag', 70 => 'tglich');
  
  $t = '<table align="left" border="0" cellpadding="1" cellspacing="1" width="100%">' . "\n";
  $t .= '  <tr>' . "\n";
  $t .= '    <td class="bg">' . "\n";
  $t .= '      <table border="0" cellpadding="1" cellspacing="1" width="100%">' . "\n";

  $t .= '        <tr>' . "\n";
  $t .= '          <td>' . "\n";
  $t .= '            <div class="sendungstermin">';
  $t .= $tt[$r['termin']] . ', ' . $r['beginn'] . '-' . $r['ende'] . ' (' . $rr[$r['rhytmus']] . ')';
  $t .= '</div>' . "\n";
  $t .= '          </td>' . "\n";
  $t .= '        </tr>' . "\n";

  $t .= '        <tr>' . "\n";
  $t .= '          <td class="fg">' . "\n";
  $t .= '            <div class="sendungstitel">';
  $t .= stripslashes($r['titel']);
  $t .= '</div>' . "\n";
  $t .= '          </td>' . "\n";
  $t .= '        </tr>' . "\n";

  if ($r['macher'] != '') {
    $t .= '        <tr>' . "\n";
    $t .= '          <td class="fg">' . "\n";
    $t .= '            <div class="sendungsmacher">';
    $t .= stripslashes($r['macher']);
    $t .= '</div>' . "\n";
    $t .= '          </td>' . "\n";
    $t .= '        </tr>' . "\n";
  }

  if ($r['beschreibung'] != '') {
    $t .= '        <tr>' . "\n";
    $t .= '          <td class="fg">' . "\n";
    $t .= '            <div class="sendungsbeschreibung">';
    $t .= stripslashes($r['beschreibung']);
    $t .= '</div>' . "\n";
    $t .= '          </td>' . "\n";
    $t .= '        </tr>' . "\n";
  }

  if ($r['web'] != '') {
    $t .= '        <tr>' . "\n";
    $t .= '          <td class="fg">' . "\n";
    $t .= '            <div class="url">';
    $t .= 'web: <a href="http://' . $r['web'] . '">' . $r['web'] . '</a>';
    $t .= '</div>' . "\n";
    $t .= '          </td>' . "\n";
    $t .= '        </tr>' . "\n";
  }

  if ($r['email'] != '') {
    $t .= '        <tr>' . "\n";
    $t .= '          <td class="fg">' . "\n";
    $t .= '            <div class="url">';
    $t .= 'mail: <a href="mailto:' . $r['email'] . '">' . $r['email'] . '</a>';
    $t .= '</div>' . "\n";
    $t .= '          </td>' . "\n";
    $t .= '        </tr>' . "\n";
  }

  if ($r['sendung_id'] != '') {
    $t .= '        <tr>' . "\n";
    $t .= '          <td class="fg">' . "\n";
    $t .= '            <div class="buttons">';
    $t .= '<a href="sendungen.php?id=' . $r['sendung_id']. '&amp;aktion=editieren">Sendung editieren</a> | '; 
    $t .= '<a href="notizen.php?sendung_id=' . $r['sendung_id']. '&amp;aktion=anhngen">Notiz anhngen</a>';
    $t .= '</div>' . "\n";
    $t .= '          </td>' . "\n";
    $t .= '        </tr>' . "\n";
  }

  $t .= '      </table>' . "\n";
  $t .= '    </td>' . "\n";
  $t .= '  </tr>' . "\n";

  $t .= '</table>' . "\n";

  return $t;
}

function table_notiz ($r, $d) {
  $t = '<table align="right" border="0" cellpadding="1" cellspacing="1" width="100%">' . "\n";

  $t .= '  <tr>' . "\n";
  $t .= '    <td class="bg">' . "\n";
  $t .= '      <table border="0" cellpadding="1" cellspacing="1" width="100%">' . "\n";

  $t .= '        <tr>' . "\n";
  $t .= '          <td>' . "\n";
  $t .= '            <div class="heute">' . $d . '</div>' . "\n";
  $t .= '          </td>' . "\n";
  $t .= '        </tr>' . "\n";

  if ($r['notiz'] != '') {
    $t .= '        <tr>' . "\n";
    $t .= '          <td class="fg">' . "\n";
    $t .= '            <div class="sendungsnotiz">';
    $t .= stripslashes($r['notiz']);
    $t .= '</div>' . "\n";
    $t .= '          </td>' . "\n";
    $t .= '        </tr>' . "\n";
  }

  if ($r['titel'] != '') {
    $t .= '        <tr>' . "\n";
    $t .= '          <td class="fg">' . "\n";
    $t .= '            <div class="sendungsnotiz">';
    $t .= stripslashes($r['titel']);
    $t .= '</div>' . "\n";
    $t .= '          </td>' . "\n";
    $t .= '        </tr>' . "\n";
  }

  if ($r['notiz_id'] != '') {
    $t .= '        <tr>' . "\n";
    $t .= '          <td class="fg">' . "\n";
    $t .= '            <div class="buttons">';
    $t .= '<a href="notizen.php?id=' . $r['notiz_id']. '&amp;aktion=editieren">Notiz editieren</a> | ';
    $t .= '<a href="notizen.php?id=' . $r['notiz_id']. '&amp;aktion=lschen">Notiz lschen</a>';
    $t .= '</div>' . "\n";
    $t .= '          </td>' . "\n";
    $t .= '        </tr>' . "\n";
  }

  $t .= '      </table>' . "\n";
  $t .= '    </td>' . "\n";
  $t .= '  </tr>' . "\n";

  $t .= '</table>' . "\n";

  return $t;
}

function table_tipp($r, $tt) {
  $t = '<table align="left" border="0" cellpadding="1" cellspacing="1" width="100%">' . "\n";

  $t .= '  <tr>' . "\n";
  $t .= '    <td class="bg">' . "\n";
  $t .= '      <table border="0" cellpadding="1" cellspacing="1" width="100%">' . "\n";

  $t .= '        <tr>' . "\n";
  $t .= '          <td>' . "\n";
  $t .= '            <div class="sendungstermin">';
  $t .= $tt . ', ' . $r['beginn'] . '-' . $r['ende'];
  $t .= '</div>' . "\n";
  $t .= '          </td>' . "\n";
  $t .= '        </tr>' . "\n";

  $t .= '        <tr>' . "\n";
  $t .= '          <td class="fg">' . "\n";
  $t .= '            <div class="sendungstitel">';
  $t .= stripslashes($r['titel']);
  $t .= '</div>' . "\n";
  $t .= '          </td>' . "\n";
  $t .= '        </tr>' . "\n";

  $t .= '        <tr>' . "\n";
  $t .= '          <td class="fg">' . "\n";
  $t .= '            <div class="sendungsnotiz">';
  $t .= stripslashes($r['notiz']) . ' <a class="weiter" href="sendung.php?id=' . $r['id'] . '&amp;datum=' . $r['datum'] . '">[weiter]</a>';
  $t .= '</div>' . "\n";
  $t .= '          </td>' . "\n";
  $t .= '        </tr>' . "\n";

  $t .= '      </table>' . "\n";
  $t .= '    </td>' . "\n";
  $t .= '  </tr>' . "\n";

  $t .= '</table>' . "\n";

  return $t;
}

function table_redaktuer($r, $d) {
  $t = '  <tr>' . "\n";
  $t .= '    <td colspan="5"><h3>' . $d . '</h3></td>'. "\n";
  $t .= '  </tr>' . "\n";
  $t .= '  <tr>' . "\n";
  $t .= '    <td width="2"></td>' . "\n";
  $t .= '    <td>' . $r['vorname'] . ' ' . $r['nachname'] . '</td>' . "\n";
  $t .= '    <td><a href="mailto:' . $r['email'] . '">' . $r['email'] . '</a></td>' . "\n";
  $t .= '    <td>' . $r['telefon1'] . '</td>' . "\n";
  $t .= '    <td>' . $r['telefon2'] . '</td>' . "\n";
  $t .= '  </tr>' . "\n";

  return $t;  
}
?>